import numpy as np
import matplotlib.pyplot as plt

def getPos(nlabels, ngroups, igroup, barwidth):
    offset = (igroup - (ngroups - 1)/2)*barwidth
    return np.arange(nlabels) + offset

def set_box_color(bp, color):
    plt.setp(bp['boxes'], color=color, alpha = 1)
    plt.setp(bp['whiskers'], color=color, alpha = 1)
    plt.setp(bp['caps'], color=color, alpha = 1)
    plt.setp(bp['medians'], color=color, alpha = 1)